package com.mbeers;

import android.graphics.Bitmap;

import com.mbeers.enums.ImageFormat;
import com.mbeers.interfaces.Image;

/**
 * Android image.
 * 
 * @author Michael Beers
 * @todo Docblocks
 */
public class AndroidImage implements Image {

	Bitmap bitmap;
	ImageFormat format;

	// ----------------------------------------

	/**
	 * Constructor.
	 * 
	 * @param bitmap
	 * @param format
	 */
	public AndroidImage(Bitmap bitmap, ImageFormat format) {
		this.bitmap = bitmap;
		this.format = format;
	}

	// ----------------------------------------

	@Override
	public int getWidth() {
		return bitmap.getWidth();
	}

	@Override
	public int getHeight() {
		return bitmap.getHeight();
	}

	@Override
	public ImageFormat getFormat() {
		return format;
	}

	@Override
	public void dispose() {
		bitmap.recycle();
	}

}
