package com.mbeers.handlers;

import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;

/**
 * Accelerometer handler.
 * 
 * @author Michael Beers
 * @todo Docblocks
 */
public class AccelerometerHandler implements SensorEventListener {

	float accelX;
	float accelY;
	float accelZ;

	// ----------------------------------------

	/**
	 * Constructor.
	 * 
	 * @param context
	 */
	public AccelerometerHandler(Context context) {
		SensorManager manager = (SensorManager) context
				.getSystemService(Context.SENSOR_SERVICE);

		if (manager.getSensorList(Sensor.TYPE_ACCELEROMETER).size() != 0) {
			Sensor accelerometer = manager.getSensorList(
					Sensor.TYPE_ACCELEROMETER).get(0);
			manager.registerListener(this, accelerometer,
					SensorManager.SENSOR_DELAY_GAME);
		}
	}

	/**
	 * Get accelerometers X-coordinate.
	 * 
	 * @return
	 */
	public float getAccelX() {
		return accelX;
	}

	/**
	 * Get accelerometers Y-coordinate.
	 * 
	 * @return
	 */
	public float getAccelY() {
		return accelY;
	}

	/**
	 * Get accelerometers Z-coordinate.
	 * 
	 * @return
	 */
	public float getAccelZ() {
		return accelZ;
	}

	// ----------------------------------------

	@Override
	public void onAccuracyChanged(Sensor sensor, int accuracy) {
		// Do nothing here...
	}

	@Override
	public void onSensorChanged(SensorEvent event) {
		accelX = event.values[0];
		accelY = event.values[1];
		accelZ = event.values[2];
	}

}
