package com.mbeers.handlers;

import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;

/**
 * Compass handler.
 * 
 * @author Michael Beers
 * @todo Docblocks
 */
public class CompassHandler implements SensorEventListener {

	float yaw;
	float pitch;
	float roll;

	// ----------------------------------------

	/**
	 * Constructor.
	 * 
	 * @param context
	 */
	@SuppressWarnings("deprecation")
	public CompassHandler(Context context) {
		SensorManager manager = (SensorManager) context
				.getSystemService(Context.SENSOR_SERVICE);
		if (manager.getSensorList(Sensor.TYPE_ORIENTATION).size() != 0) {
			Sensor compass = manager.getDefaultSensor(Sensor.TYPE_ORIENTATION);
			manager.registerListener(this, compass,
					SensorManager.SENSOR_DELAY_GAME);
		}
	}

	/**
	 * Get Yaw.
	 * 
	 * @return
	 */
	public float getYaw() {
		return yaw;
	}

	/**
	 * Get Pitch.
	 * 
	 * @return
	 */
	public float getPitch() {
		return pitch;
	}

	/**
	 * Get Roll.
	 * 
	 * @return
	 */
	public float getRoll() {
		return roll;
	}

	// ----------------------------------------

	@Override
	public void onAccuracyChanged(Sensor sensor, int accuracy) {
		// Do nothing here...
	}

	@Override
	public void onSensorChanged(SensorEvent event) {
		yaw = event.values[0];
		pitch = event.values[1];
		roll = event.values[2];
	}

}
