package com.mbeers.interfaces;

import com.mbeers.enums.ImageFormat;

/**
 * Graphics interface.
 * 
 * @author Michael Beers
 * @todo Docblocks
 */
public interface Graphics {

	public Image newImage(String fileName, ImageFormat format);
	
	public void clear(int color);
	
	public void drawPixel(int x, int y, int color);
	
	public void drawLine(int x, int y, int x2, int y2, int color);
	
	public void drawRect(int x, int y, int width, int height, int color);
	
	public void drawImage(Image image, int x, int y, int srcX, int srcY, int srcWidth, int srcHeight);
	
	public void drawImage(Image image, int x, int y);
	
	public int getWidth();
	
	public int getHeight();
	
}
