package com.mbeers;

import java.io.IOException;

import android.app.Activity;
import android.content.res.AssetFileDescriptor;
import android.content.res.AssetManager;
import android.media.AudioManager;
import android.media.SoundPool;

import com.mbeers.interfaces.Audio;
import com.mbeers.interfaces.Music;
import com.mbeers.interfaces.SFX;

/**
 * Android Audio.
 * 
 * No description yet. TODO Docblocks
 * 
 * @author Michael Beers
 */
public class AndroidAudio implements Audio {

	AssetManager assets;
	SoundPool soundPool;

	// ----------------------------------------

	/**
	 * Constructor.
	 * 
	 * @param activity
	 */
	public AndroidAudio(Activity activity) {
		activity.setVolumeControlStream(AudioManager.STREAM_MUSIC);
		this.assets = activity.getAssets();
		this.soundPool = new SoundPool(20, AudioManager.STREAM_MUSIC, 0);
	}

	// ----------------------------------------

	@Override
	public Music createMusic(String fileName) {
		try {
			AssetFileDescriptor assetDescriptor = assets.openFd(fileName);
			return new AndroidMusic(assetDescriptor);
		} catch (IOException e) {
			throw new RuntimeException("Couldn't load music '" + fileName + "'");
		}
	}

	@Override
	public SFX createSFX(String fileName) {
		try {
			AssetFileDescriptor assetDescriptor = assets.openFd(fileName);
			int soundId = soundPool.load(assetDescriptor, 0);
			return new AndroidSFX(soundPool, soundId);
		} catch (IOException e) {
			throw new RuntimeException("Couldn't load sound '" + fileName + "'");
		}
	}

}
