package com.mbeers;

import java.util.List;

import android.content.Context;
import android.os.Build.VERSION;
import android.view.View;

import com.mbeers.interfaces.Input;
import com.mbeers.interfaces.TouchHandler;

/**
 * Android user input.
 * 
 * No description yet. TODO Docblocks
 * 
 * @author Michael Beers
 */
public class AndroidInput implements Input {

	TouchHandler touchHandler;
	
	// ----------------------------------------

	/**
	 * Constructor.
	 * 
	 * @param context
	 * @param view
	 * @param scaleX
	 * @param scaleY
	 */
	public AndroidInput(Context context, View view, float scaleX, float scaleY) {
		if (VERSION.SDK_INT < 5) {
			touchHandler = new SingleTouchHandler(view, scaleX, scaleY);
		} else {
			touchHandler = new MultiTouchHandler(view, scaleX, scaleY);
		}
	}
	
	// ----------------------------------------

	@Override
	public boolean isTouchDown(int pointer) {
		return touchHandler.isTouchDown(pointer);
	}

	@Override
	public int getTouchX(int pointer) {
		return touchHandler.getTouchX(pointer);
	}

	@Override
	public int getTouchY(int pointer) {
		return touchHandler.getTouchY(pointer);
	}

	@Override
	public List<TouchEvent> getTouchEvents() {
		return touchHandler.getTouchEvents();
	}

}
