package com.mbeers;

import android.media.SoundPool;

import com.mbeers.interfaces.SFX;

/**
 * Android Sound effect.
 * 
 * No description yet. TODO Docblocks
 * 
 * @author Michael Beers
 */
public class AndroidSFX implements SFX {

	int soundId;
	SoundPool soundPool;

	// ----------------------------------------

	/**
	 * Constructor.
	 * 
	 * @param soundPool
	 * @param soundId
	 */
	public AndroidSFX(SoundPool soundPool, int soundId) {
		this.soundId = soundId;
		this.soundPool = soundPool;
	}

	// ----------------------------------------

	@Override
	public void play(float volume) {
		soundPool.play(soundId, volume, volume, 0, 0, 1);
	}

	@Override
	public void dispose() {
		soundPool.unload(soundId);
	}

}
