package com.mbeers.interfaces;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import android.content.SharedPreferences;

/**
 * File input/output interface.
 * 
 * Interface for reading and writting files.
 * 
 * @author Michael Beers
 */
public interface FileIO {

	/**
	 * Read a Asset.
	 * 
	 * @param fileName
	 * @return
	 * @throws IOException
	 */
	public InputStream readAsset(String fileName) throws IOException;

	/**
	 * Read a File.
	 * 
	 * @param fileName
	 * @return
	 * @throws IOException
	 */
	public InputStream readFile(String fileName) throws IOException;

	/**
	 * Write a File.
	 * 
	 * @param fileName
	 * @return
	 * @throws IOException
	 */
	public OutputStream writeFile(String fileName) throws IOException;

	/**
	 * Get shared preferences.
	 * 
	 * @return
	 */
	public SharedPreferences getSharedPref();

}
